###############################################
# Do not Edit! Generated by:
# spec-builder version 0.13
###############################################

Name: gvfs
Summary: Backends for the gio framework in GLib
Group: System Environment/Libraries
Version: 1.2.2
License: LGPLv2+
URL: http://www.gtk.org
Release: 1.8.moblin2
Source0: http://download.gnome.org/sources/gvfs/1.2/gvfs-%{version}.tar.bz2
Patch0: gvfs-0.99.2-archive-integration.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig
BuildRequires: pkgconfig(glib-2.0) >= 2.17.4
BuildRequires: dbus-glib-devel
BuildRequires: openssh-clients
BuildRequires: pkgconfig(hal) >= 0.5.10
BuildRequires: libsoup-devel >= 2.23.91
BuildRequires: avahi-glib-devel >= 0.6
BuildRequires: intltool
BuildRequires: gettext-devel
BuildRequires: perl(XML::Parser)
BuildRequires: GConf2-devel
BuildRequires: libarchive-devel
BuildRequires: fuse-devel
BuildRequires: libusb-devel
BuildRequires: libexif-devel
BuildRequires: bluez-libs-devel >= 3.12
BuildRequires: expat-devel
BuildRequires: libsmbclient-devel >= 3.2.0-1.pre2.8


%description
The gvfs package provides backend implementations for the gio
framework in GLib. It includes ftp, sftp, cifs.

%package archive

Summary: Archiving support for gvfs
Group: System Environment/Libraries


%description archive
This package provides support for accessing files inside Zip and Tar archives,
as well as ISO images, to applications using gvfs.

%package obexftp

Summary: ObexFTP support for gvfs
Group: System Environment/Libraries

Requires: obex-data-server >= 0.3.4-6

%description obexftp
This package provides support for reading files on Bluetooth mobile phones
and devices through ObexFTP to applications using gvfs.

%package smb

Summary: Windows fileshare support for gvfs
Group: System Environment/Libraries


%description smb
This package provides support for reading and writing files on windows
shares (SMB) to applications using gvfs.

%package fuse

Summary: FUSE support for gvfs
Group: System Environment/Libraries

Requires: fuse

%description fuse
This package provides support for applications not using gio
to access the gvfs filesystems.

%package devel

Summary: Development files for gvfs
Group: Development/Libraries

Requires: %{name} >= %{version}

%description devel
The gvfs-devel package contains headers and other files that are
required to develop applications using gvfs.

%prep
%setup -q -n gvfs-%{version}
%patch0 -p1 -b .gvfs-0.99.2-archive-integration

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%find_lang gvfs || echo -n >> gvfs.lang

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%files -f gvfs.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%dir %{_datadir}/gvfs
%dir %{_datadir}/gvfs/mounts
%{_sysconfdir}/profile.d/gvfs-bash-completion.sh
%{_datadir}/gvfs/mounts/sftp.mount
%{_datadir}/gvfs/mounts/trash.mount
%{_datadir}/gvfs/mounts/computer.mount
%{_datadir}/gvfs/mounts/dav.mount
%{_datadir}/gvfs/mounts/http.mount
%{_datadir}/gvfs/mounts/localtest.mount
%{_datadir}/gvfs/mounts/burn.mount
%{_datadir}/gvfs/mounts/dns-sd.mount
%{_datadir}/gvfs/mounts/network.mount
%{_datadir}/gvfs/mounts/ftp.mount
%{_datadir}/gvfs/mounts/dav+sd.mount
%{_datadir}/dbus-1/services/gvfs-daemon.service
%{_datadir}/dbus-1/services/org.gtk.Private.HalVolumeMonitor.service
%{_datadir}/gvfs/remote-volume-monitors/hal.monitor
%{_libdir}/libgvfscommon.so.*
%{_libdir}/libgvfscommon-dnssd.so.*
%{_libdir}/gio/modules/libgioremote-volume-monitor.so
%{_libdir}/gio/modules/libgvfsdbus.so
%{_libdir}/gio/modules/libgiogconf.so
%{_libexecdir}/gvfsd
%{_libexecdir}/gvfsd-ftp
%{_libexecdir}/gvfsd-sftp
%{_libexecdir}/gvfsd-trash
%{_libexecdir}/gvfsd-computer
%{_libexecdir}/gvfsd-dav
%{_libexecdir}/gvfsd-http
%{_libexecdir}/gvfsd-localtest
%{_libexecdir}/gvfsd-burn
%{_libexecdir}/gvfsd-dnssd
%{_libexecdir}/gvfsd-network
%{_libexecdir}/gvfs-hal-volume-monitor
%{_bindir}/gvfs-cat
%{_bindir}/gvfs-copy
%{_bindir}/gvfs-info
%{_bindir}/gvfs-less
%{_bindir}/gvfs-ls
%{_bindir}/gvfs-mkdir
%{_bindir}/gvfs-monitor-dir
%{_bindir}/gvfs-monitor-file
%{_bindir}/gvfs-mount
%{_bindir}/gvfs-move
%{_bindir}/gvfs-open
%{_bindir}/gvfs-rename
%{_bindir}/gvfs-rm
%{_bindir}/gvfs-save
%{_bindir}/gvfs-trash
%{_bindir}/gvfs-tree

%files archive
%defattr(-,root,root,-)
#%dir %{_datadir}/applications/mount-archive.desktop
%{_libexecdir}/gvfsd-archive
%{_datadir}/gvfs/mounts/archive.mount

%files obexftp
%defattr(-,root,root,-)
%{_libexecdir}/gvfsd-obexftp
%{_datadir}/gvfs/mounts/obexftp.mount

%files smb
%defattr(-,root,root,-)
%{_libexecdir}/gvfsd-smb
%{_libexecdir}/gvfsd-smb-browse
%{_datadir}/gvfs/mounts/smb-browse.mount
%{_datadir}/gvfs/mounts/smb.mount

%files fuse
%defattr(-,root,root,-)
%{_libexecdir}/gvfs-fuse-daemon

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/gvfs-client
%dir %{_includedir}/gvfs-client/gvfs
%{_includedir}/gvfs-client/gvfs/gvfsurimapper.h
%{_includedir}/gvfs-client/gvfs/gvfsuriutils.h
%{_libdir}/libgvfscommon.so
%{_libdir}/libgvfscommon-dnssd.so


%changelog
* Fri Apr 24 2009 Xu Li <xu.li@intel.com> 1.2.2
- Upgrade to 1.2.2
* Sun Feb 15 2009 Anas Nashif <anas.nashif@intel.com> 1.1.5
- Fixed file list
* Sat Feb  7 2009 Anas Nashif <anas.nashif@intel.com> 1.1.5
- Update to 1.1.5
  * network: Pick up SMB shares from zeroconf
  * obexftp: Write support for
  * obexftp: Support obexftp over usb
  * trash: Don't follow symlinks on delete
  * fix crashes
  * Trash performance fixes
  * Fuse performance fixes
* Wed Jan  7 2009 Anas Nashif <anas.nashif@intel.com> 1.1.3
- Update to 1.1.3
* Sat Dec 20 2008 Anas Nashif <anas.nashif@intel.com> 1.0.2
- Use spec-builder to generate spec
* Sat Dec 20 2008 Anas Nashif <anas.nashif@intel.com> 1.0.2
- Enable samba support
* Thu Nov 20 2008 Vivian zhang <vivian.zhang@intel.com> 1.0.2
- Update to 1.0.2
- Drop SMB patch which has been merged to upstream
- Update obexftp patch from upstream
- Add patch for reverse mapping FUSE paths (bgo #530654)
- Don't return generic fallback icons for files, as this means custom mimetypes don't work (from svn)
- Return an empty array on success when no content type matches (#468946)
* Sat Sep 20 2008 Anas Nashif <anas.nashif@intel.com> 0.99.8
- initial import into moblin
